claw::unary_true< T > Class Template Reference

Always true unary predicate. More...

`#include <functional.hpp>`

Inheritance diagram for claw::unary_true< T >:

## Public Member Functions

bool | operator() (const T &t) const

## Detailed Description

template<class T>
class claw::unary_true< T >

Always true unary predicate.

Template arguments:

- T Doesn't matter.

Remarks
  Use it when you need to process all elements but a method needs an unary predicate parameter.

Author
  Julien Jorge

Definition at line 176 of file functional.hpp.

## Member Function Documentation

## operator()()

template<class T>

bool claw::unary_true< T >::operator() | ( | const T & | t | ) | const

inline

Definition at line 179 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp